#include <iostream>
#include <string>
#include <Windows.h>
#include <gl/GL.h>
#include <gl/GLU.h>
#include "freeglut.h"

using namespace std;




int CurrentWidth = 800,
	CurrentHeight = 600,
	WindowHandle = 0;



void processKeys(unsigned char key, int x, int y) 
{
    if(key==27) exit(0);
}

void ResizeFunction(int Width, int Height)
{

	glutReshapeWindow(CurrentWidth, CurrentHeight);

}


void RenderFunction(void)
{
    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

	glRotatef(1,0,1,0);

	glBegin(GL_TRIANGLES);                    
		glColor3f(1,0,0);
		glVertex3f( 0.0f, 1.0f, 0.0f);              // Top
		glColor3f(0,1,0);
		glVertex3f(-1.0f,-1.0f, 0.0f);              // Bottom Left
		glColor3f(0,0,1);
		glVertex3f( 1.0f,-1.0f, 0.0f);              // Bottom Right
	glEnd(); 


    glutSwapBuffers();
}


int main(int argc, char* argv[])
{
	glutInit(&argc, argv);

	glutInitWindowSize(CurrentWidth, CurrentHeight);

	glutInitDisplayMode(GLUT_DEPTH | GLUT_DOUBLE | GLUT_RGBA);

	WindowHandle = glutCreateWindow("FreeGLUT test window");


	 if(WindowHandle < 1) 
	 {
		 cout << "ERROR: Could not create a new rendering window." << endl;
		 system("pause");
		 exit(-1);
	 }


	glutReshapeFunc(ResizeFunction);
	glutKeyboardFunc(processKeys);
	glutDisplayFunc(RenderFunction);


    glutMainLoop();


	return 0; 

}